import request from '@/utils/request'
	
/**
 * @Descripttion: 领券记录Api接口
 * @version: (1.0)
 * @Author: (lwh)
 * @Date: (2023-07-31)
 * @LastEditors: (lwh)
 * @LastEditTime: (2023-07-31)
*/

// 领券记录分页查询列表
export function customerCouponList(query) {
  return request({
    url: '/business/CustomerCoupon/getCustomerCouponList',
    method: 'get',
    params: query
  })
}

// 领券记录新增或修改
export function addOrUpdateCustomerCoupon(data) {
  return request({
    url: '/business/CustomerCoupon/addOrUpdateCustomerCoupon',
    method: 'post',
    data: data,
  })
}

// 领券记录删除
export function delCustomerCoupon(ids) {
  return request({
    url: '/business/CustomerCoupon/'+ ids,
    method: 'delete'
  })
}


